SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

CREATE SCHEMA IF NOT EXISTS `bvw` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci ;
USE `bvw` ;

-- -----------------------------------------------------
-- Table `bvw`.`user`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bvw`.`user` (
  `username` VARCHAR(6) NOT NULL,
  `first_name` VARCHAR(30) NOT NULL,
  `surname` VARCHAR(100) NOT NULL,
  `email` VARCHAR(50) NOT NULL,
  `time_reg` TIMESTAMP NOT NULL,
  PRIMARY KEY (`username`),
  UNIQUE INDEX `username_UNIQUE` (`username` ASC),
  UNIQUE INDEX `email_UNIQUE` (`email` ASC))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `bvw`.`session`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `bvw`.`session` (
  `time` TIMESTAMP NOT NULL,
  `user_username` VARCHAR(6) NOT NULL,
  `type` TINYINT NOT NULL,
  `result` DECIMAL(4,3) NULL,
  PRIMARY KEY (`time`, `user_username`),
  INDEX `fk_session_user_idx` (`user_username` ASC),
  CONSTRAINT `fk_session_user`
    FOREIGN KEY (`user_username`)
    REFERENCES `bvw`.`user` (`username`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
