alizephp
========

AlizePHP is a php wrapper for Alize and LIA_RAL, an open source platform for biometrics authentification. This class aims to abstract AlizePHP's commands and files, providing a per-user set of methods, and allowing developers to extract audio features and i-vectors with ease.

## ALIZE Software package

Alize and LIA_RAL are not part of this package and they must be downloaded and compiled in your machine. Once compiled, place the libraries and binaries generated in bin/ directory. It is STRONGLY advised to read documentation from [Alize webpage ](http://alize.univ-avignon.fr/index_en.html) as well as study the tutorials in order to understand what this package is doing and how to adapt it to your project. Anyway, a rough set of steps to create a user information in a sistem is to sequentially execute the following commands:

1. extractFeatures()
2. normaliseEnergy()
3. detectEnergy()
4. normaliseFeatures()
5. ivExtractor()

Every method needs the output of the preceding one stored in your directory structure in order to properly work (you'll receive an AlizePHPException if that is not the case). Once the i-vector generated by ivExtractor() is present, you can use ivTest to verify if two users are the same person.

## Configuration

A set of default configuration files and settings is also provided in cfg/ directory. These files have been created by Anthony Larcher (alarcher - at- i2r.a-star.edu.sg) as part of his Alize tutorials and, as he states, "The author does not give ANY waranty about the performance and the usability".

You can change file extensions and directories to create your own directory structure. This may be useful if you want to use the files generated by Alize with another software. Settings file can be found in cfg/alizephp_conf.php.

### Alize credits

A. Larcher, J.-F. Bonastre, B. Fauve, K.A. Lee, C. Levy, H. Li, J.S.D. Mason, J.-Y Parfait,   
"ALIZE 3.0 - Open Source Toolkit for State-of-the-Art Speaker Recognition,"   
in Annual Conference of the International Speech Communication Association (Interspeech), 2013  

#### Related links

* Alize website: http://alize.univ-avignon.fr/index_en.html
* Alize SVN: http://alize.univ-avignon.fr/svn/ALIZE/trunk/
* LIA_RAL SVN: http://alize.univ-avignon.fr/svn/LIA_RAL/trunk/
* Alize documentation (including Tutorials): http://alize.univ-avignon.fr/doc_en.html
